package ru.dbotthepony.mc.otm.network

import net.minecraftforge.network.NetworkDirection
import ru.dbotthepony.mc.otm.item.QuantumBatteryItem

object GenericNetworkChannel : MatteryNetworkChannel(
	version = "1",
	name = "generic"
) {
	fun register() {
		add(QuantumBatteryItem.ChargePacket::class.java, QuantumBatteryItem.Companion::readPacket, NetworkDirection.PLAY_TO_CLIENT)
	}
}
